#!/bin/bash

pydnz_source_opt="git"
#pydnz_source_opt="untar"

echo
echo "****"
echo "* pydnz_source_opt set to:"
echo "*   '$pydnz_source_opt'"
echo "****"
echo

if [ ! -d pydnz ] ; then

    if [ $pydnz_source_opt = "git" ] ; then
	git clone https://github.com/fogonwater/pydnz.git
    else
	# Assume "untar"
	echo "Untarring pydnz.tar.gz"
	tar xvzf pydnz.tar.gz
    fi
else
    if [ $pydnz_source_opt = "git" ] ; then
	echo "Already git cloned pydnz repository"
    else
	# Assume "untar"
	echo "Already untarred pydnz.tar.gz"
    fi
fi


if [ ! -d import ] ; then
    echo "Making directory: 'import'"
    mkdir import
else
    echo "Already created directory: 'import'"
fi

